cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
535
Views
0
Helpful
5
Replies
Highlighted
Beginner

TMSXE sees wrong version of Exchange server.

Hi all, 

after MS Exchange migration from 2010 to 2013 version I'm having a problem with TMSXE - it still seeing the old version of Exchange server:

2017-07-07 15:12:43,344 [Startup] INFO ExchangeOneTimeConnectionFactory - Connected to Exchange server X.X.X.X (version 15.00.1263.005) as tms.service (xxx).
2017-07-07 15:12:43,347 [Startup] INFO ExchangeOneTimeConnectionFactory - The version of the Exchange Server API is Exchange 2010 Service Pack 2. Creating connection specific to this Exchange version for
2017-07-07 15:12:43,389 [Startup] INFO ExchangeOneTimeConnectionFactory - Creating un-tested connection specific to Exchange version Exchange2010_SP2 for xxxx@xxx.xxx

Due to this problem I can't add any endpoint because TMSXE cannot connect to Exchange endpoint mailbox ("The SMTP address has no mailbox associated with it. Verify that the mailbox exists and is acceptable to the service user."). All mailboxes are exist and the AD user is not blocked and has full rights. What can be the cause of problem? 

TMSXE 5.5, TMS 14.6.2, OS - Windows server 2012 R2; Exchange 2013 Cumulative Update (CU)

Everyone's tags (1)
5 REPLIES 5
Highlighted

With TMSXE 5.5, you should be

With TMSXE 5.5, you should be running TMS 15.5 according to this doc: http://www.cisco.com/c/dam/en/us/td/docs/telepresence/infrastructure/tmsxe/install_guide/Cisco-TMSXE-Deployment-Guide-5-5.pdf

Highlighted
Beginner

Hi!

Hi!

I upgraded to TMS 15.5 but it didn't solve the problem - I'm still can't add any email box (related to endpoints) to TMSXE (see an error in attachment file).

In TMSXEConfig-log-file I see the following:

2017-07-26 07:13:54,311 [12] INFO ExchangeOneTimeConnectionFactory - Connected to Exchange server 10.XXX.XXX.XXX (version 15.00.1263.005) as tms.service (XXX).
2017-07-26 07:13:54,311 [12] INFO ExchangeOneTimeConnectionFactory - The version of the Exchange Server API is Exchange 2010 Service Pack 2. Creating connection specific to this Exchange version for XXX@XXX.XXX
2017-07-26 07:13:55,111 [12] INFO ExchangeConnection - Could not look up display name/location for system:XXX@XXX.XXX
2017-07-26 07:14:22,211 [5] INFO ExchangeOneTimeConnectionFactory - Connected to Exchange server 10.XXX.XXX.XXX(version 15.00.1263.005) as tms.service (XXX).
2017-07-26 07:14:22,211 [5] INFO ExchangeOneTimeConnectionFactory - The version of the Exchange Server API is Exchange 2010 Service Pack 2. Creating connection specific to this Exchange version for
2017-07-26 07:14:22,376 [5] INFO EWSAdapter - Verifying AD connection

The current version of Exchange is 2013.

Highlighted
Beginner

I am getting an error that is

I am getting an error that is very similar. Were you able to fix this? 

Highlighted
Enthusiast

Re: Hi!

Hi Alex,

 

Were you able to resolve this error?

 

I am facing a similar issue the API connection which is trying to establish on Exchange 2010 SP2 but the customer's exchange version is 2013.

Highlighted
Cisco Employee

Re: Hi!

Regardless of the actual Exchange version, the EWS API version will be 2010 SP2.